BiblioSubject (BioJava-1.5-beta API)
Keywords: org.biojava.bibliography.BiblioSubject class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioSubject

    java.lang.Object
      org.biojava.bibliography.BiblioSubject

    public class BiblioSubject

extends Object

It represents the topic of the content of the cited resource. It can be expressed in one or more ways.

Since:
  1.3
Version:
  $Id: BiblioSubject.java,v 1.4 2003/07/16 16:01:10 mrp Exp $
Author:
  Martin Senger

Field Summary
`Hashtable` | `codes` Classification code (call number) is usually either Dewey decimal or Congress classification.
`Hashtable` | `keywords` The keywords are usually (but not limited to) one word long.
`Hashtable` | `subjectHeadings` The subject headings usually come from standard lists such as Sears List of Subject Headings, or Library of Congress Subject Headings (LCSH).
`String` | `subjectHeadingsSource` The source of `subject headings`.

Constructor Summary
`BiblioSubject()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keywords

    public Hashtable keywords

  The keywords are usually (but not limited to) one word long. They are not controlled by any vocabulary.

### subjectHeadings

    public Hashtable subjectHeadings

  The subject headings usually come from standard lists such as Sears List of Subject Headings, or Library of Congress Subject Headings (LCSH). This specification does not specify what list to use but implementors are advised to provide a controlled vocabulary for the list that is used, and to specify the source of subject headings in `subjectHeadingsSource` field. The name of such vocabulary should be equal to `BibRefSupport.SUBJECT_HEADINGS`.

### subjectHeadingsSource

    public String subjectHeadingsSource

  The source of `subject headings`. For example:
  `SEARS`
    for Sears List of Subject Headings
  `LCSH`
    for Library of Congress Subject Headings (LCSH)
  `MeSH`
    for MEDLINE Mesh Terms

### codes

    public Hashtable codes

  Classification code (call number) is usually either Dewey decimal or Congress classification. But this specification does not prescribe it.

  Note that the classification codes are unique (unlike some subject headings). Therefore, they can be even expressed as identifiers using the same notation as used for the `citation identifiers`.

Constructor Detail

### BiblioSubject

    public BiblioSubject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD